import pat.regex;
import pat.RegexTokenizer;
/* tokenTest.java by Steven R. Brandt
   beta release
   
   You have permission to redistribute, and modify this source code
   as long as this comment is not removed and you are not incorporating
   this package into a commercial product.  By downloading this
   software you agree to abide by the limitations of this copyright
   notice.

   This software comes without express or implied warranty.
   No claim is made about the suitability of this software for
   any purpose and neither I nor SteveSoft shall be liable for
   damages suffered by the user of this software.
   */

/* In other words, unless you intend to use this software to make
   money it is free!
   */

class tokenTest {
	public static void main(String[] arg) {
		// In this example the token list is
		// "field1", ":", "b", ":", "", ":", "entry c"
		// if the pattern had been ":" the token
		// list would have been:
		// "field1", "b", "", "entry c".
		// if the pattern had been ":+" the token
		// list would have been:
		// "field1" "b", "entry c"
		RegexTokenizer rt =
			new RegexTokenizer("field1:b::entry c","(:)");
		while(rt.hasMoreTokens())
			System.out.println(">>"+rt.nextToken()+"<<");

		rt = new RegexTokenizer("f1:f2:f3:f4","(:)");
		System.out.println(rt.nextToken());
		System.out.println(rt.nextToken());
		System.out.println(rt.nextToken("f"));
	}
};
